Page MenuHomePhabricator

elementary: Windows requires EAPI for the legacy .eo.h
ClosedPublic

Authored by lauromoura on Nov 21 2017, 3:01 PM.

Details

Summary

After the reorganization of elm eos, some sources include the .eo
headers directly instead of through Elementary.h. This causes problems
on windows as the declarations won't be decorated with the dllexport
attributes.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
lauromoura created this revision.Nov 21 2017, 3:01 PM
lauromoura added projects: Windows, efl.
cedric accepted this revision.Nov 23 2017, 3:32 PM
This revision is now accepted and ready to land.Nov 23 2017, 3:32 PM
Closed by commit rEFLb47dce671336: elementary: Windows requires EAPI for the legacy .eo.h (authored by lauromoura, committed by Cedric Bail <cedric@osg.samsung.com>). · Explain WhyNov 23 2017, 3:58 PM
This revision was automatically updated to reflect the committed changes.